#include <stdio.h>
#include "libifkoi.h"

int main(int ac, char **av) {
	int ret;
	if(ac==1) {
		fprintf(stderr, "Usage: %s <filename>\n", av[0]);
		exit(1);
	};

	while(--ac)
	switch(ret=ifkoi_file(*(++av))) {
	case -2: printf("%s: error\n", *av); break;
	case -1: printf("%s: binary\n", *av); break;
	case  0: printf("%s: windows-1251\n", *av); break;
	case  1: printf("%s: koi8-r\n", *av); break;
	default: printf("%s: unknown\n", *av);
	}
	return ret;
}
